Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#751 closed Bug (fixed)

crash on large (multi GB) torrrent

Reported by: yeled Owned by: charles
Priority: Normal Milestone: 1.10
Component: libtransmission Version: 1.06
Severity: Normal Keywords:
Cc:

Description

i can make Transmission crash on almost any large torrent. I mean 8GB and above. here are some examples.

Mar  3 02:34:55 capslock [0x0-0x45e45e].org.m0k.transmission[55531]: /Users/mitchell/Desktop/Transmission_1.0x/libtransmission/peer-msgs.c:670: failed assertion `reqIsValid( msgs, index, offset, length )'
Mar  3 02:35:01 capslock ReportCrash[55812]: Formulating crash report for process Transmission[55531]
Mar  3 02:35:02 capslock com.apple.launchd[130] ([0x0-0x45e45e].org.m0k.transmission[55531]): Exited abnormally: Abort trap
Mar  3 02:35:04 capslock ReportCrash[55812]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-03-023455_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20

and another

Mar  3 00:01:30 capslock ReportCrash[53594]: Formulating crash report for process Transmission[55357]
Mar  3 00:01:21 capslock [0x0-0x455455].org.m0k.transmission[55357]: /Users/mitchell/Desktop/Transmission_1.0x/libtransmission/peer-msgs.c:670: failed assertion `reqIsValid( msgs, index, offset, length )'
Mar  3 00:01:31 capslock com.apple.launchd[130] ([0x0-0x455455].org.m0k.transmission[55357]): Exited abnormally: Abort trap
Mar  3 00:01:34 capslock ReportCrash[53594]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-03-000121_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20

..the files are attached.

and my fix:

2:45 capslock:~% cat ping.sh 
#!/bin/bash 

while : ; do
        ps auwx|grep -v grep|grep -i transmission
        if [ $? -ne 0 ]; then
                echo dead! `date` 
                open /Applications/Transmission.app
        else
                sleep 600
        fi
done
2:46 capslock:~% 

Attachments (8)

Transmission_2008-03-03-000121_capslock.crash (22.5 KB) - added by yeled 14 years ago.
crashlog 1am
Transmission_2008-03-03-023455_capslock.crash (22.5 KB) - added by yeled 14 years ago.
crashlog 2am
QI-avi.torrent (93.3 KB) - added by yeled 14 years ago.
the torrent file i think is causing the issue.
Transmission_2008-03-03-031214_capslock.crash (28.8 KB) - added by yeled 14 years ago.
3rd crash from DMG
Transmission_2008-03-03-034137_capslock.crash (20.9 KB) - added by yeled 14 years ago.
4th crash from /Applications
Transmission_2008-03-06-053013_capslock.crash (26.2 KB) - added by yeled 14 years ago.
seemingly red-herring crash
Transmission_2008-03-06-103911_capslock.crash (31.2 KB) - added by yeled 14 years ago.
Transmission_2008-03-06-134050_capslock.crash (22.7 KB) - added by yeled 14 years ago.

Download all attachments as: .zip

Change History (29)

Changed 14 years ago by yeled

crashlog 1am

Changed 14 years ago by yeled

crashlog 2am

comment:1 Changed 14 years ago by charles

  • Component changed from Transmission to libtransmission
  • Milestone changed from None Set to 1.10
  • Owner set to charles
  • Status changed from new to assigned

Changed 14 years ago by yeled

the torrent file i think is causing the issue.

comment:2 follow-up: Changed 14 years ago by yeled

more crashes, different torrent file - but same files (ie. the repack of these episodes within a new torrent)

running from the dmg:

Mar  3 03:12:15 capslock ReportCrash[56022]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/ReportCrash_2008-03-03-031214_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20
Mar  3 03:12:17 capslock ReportCrash[56023]: Formulating crash report for process Transmission[55940]
Mar  3 03:12:19 capslock ReportCrash[56023]: Saved crashreport to /Library/Logs/CrashReporter/Transmission_2008-03-03-031214_capslock.crash using uid: 0 gid: 0, euid: 0 egid: 0
Mar  3 03:12:17 capslock com.apple.launchd[130] ([0x0-0x479479].org.m0k.transmission[55940]): Exited abnormally: Abort trap

running from /Applications/

Mar  3 03:41:37 capslock [0x0-0x47f47f].org.m0k.transmission[56117]: /var/tmp/pea/svn.transmissionbt.com/trunk/libtransmission/peer-msgs.c:777: failed assertion `reqIsValid( msgs, index, offset, length )'
Mar  3 03:41:39 capslock ReportCrash[56198]: Formulating crash report for process Transmission[56117]
Mar  3 03:41:41 capslock ReportCrash[56198]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-03-034137_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20
Mar  3 03:41:40 capslock com.apple.launchd[130] ([0x0-0x47f47f].org.m0k.transmission[56117]): Exited abnormally: Abort trap

and attached again..

Changed 14 years ago by yeled

3rd crash from DMG

Changed 14 years ago by yeled

4th crash from /Applications

comment:3 in reply to: ↑ 2 Changed 14 years ago by yeled

Replying to yeled:

more crashes, different torrent file - but same files (ie. the repack of these episodes within a new torrent)

woops first crash is this:

Mar  3 03:12:09 capslock [0x0-0x479479].org.m0k.transmission[55940]: /var/tmp/pea/svn.transmissionbt.com/trunk/libtransmission/peer-msgs.c:777: failed assertion `reqIsValid( msgs, index, offset, length )'
Mar  3 03:12:13 capslock ReportCrash[56018]: Formulating crash report for process Transmission[55940]

not the below.. (obviously)

running from the dmg:

Mar  3 03:12:15 capslock ReportCrash[56022]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/ReportCrash_2008-03-03-031214_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20
Mar  3 03:12:17 capslock ReportCrash[56023]: Formulating crash report for process Transmission[55940]
Mar  3 03:12:19 capslock ReportCrash[56023]: Saved crashreport to /Library/Logs/CrashReporter/Transmission_2008-03-03-031214_capslock.crash using uid: 0 gid: 0, euid: 0 egid: 0
Mar  3 03:12:17 capslock com.apple.launchd[130] ([0x0-0x479479].org.m0k.transmission[55940]): Exited abnormally: Abort trap

comment:4 Changed 14 years ago by charles

These are essentially the same crash report again and again, so you probably don't need to submit more of them unless you get a different trace in thread 1 or a different assertion message.

comment:5 follow-ups: Changed 14 years ago by charles

yeled: please re-trigger the error in r5189 and attach the console output. There should be about 10 lines that start with the words "(ticket #751)"; those are the ones that I need.

comment:6 in reply to: ↑ 5 Changed 14 years ago by yeled

Replying to charles:

yeled: please re-trigger the error in r5189 and attach the console output. There should be about 10 lines that start with the words "(ticket #751)"; those are the ones that I need.

the boolean ( ! err ) was around the wrong way. it kept spamming my syslogd and the VM could not keep up and would bring the machine down.

I saw the error pop up once I changed the line to ( err ) and it came back as "err is 1" but then the kernel panicked (!) and the crash log was lost in the Journal...

do you need the exact log of the byte etc?

C.

comment:7 in reply to: ↑ 5 Changed 14 years ago by yeled

a crash! i was hammering it with as many torrents as i could. some were re-hashing as well. this ma be a red herring as such..

Mar  6 05:30:09 capslock KernelEventAgent[34]: tid 00000000 received VQ_LOWDISK event (4)
Mar  6 05:30:09 capslock KernelEventAgent[34]: tid 00000000 type 'hfs', mounted on '/', from '/dev/disk0s2', low disk
Mar  6 05:30:09 capslock KernelEventAgent[34]: tid 00000000 found 1 filesystem(s) with problem(s)
Mar  6 05:30:09 capslock KernelEventAgent[34]: tid 00000001 display_lowdisk_warning: generating warning for volume 'capslock'
Mar  6 05:30:10 capslock mds[32]: (Warning) Server: No stores registered for metascope "kMDQueryScopeComputer"
Mar  6 05:30:20 capslock ReportCrash[14735]: Formulating crash report for process Transmission[14646]
Mar  6 05:30:24 capslock ReportCrash[14735]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-06-053013_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20
Mar  6 05:30:21 capslock com.apple.launchd[83] ([0x0-0x13e13e].org.m0k.transmission[14646]): Exited abnormally: Bus error
Mar  6 05:30:39 capslock KernelEventAgent[34]: tid 00000001 display_lowdisk_warning: warning for volume 'capslock' removed

attached - looks non-related to me.

Changed 14 years ago by yeled

seemingly red-herring crash

comment:8 in reply to: ↑ 5 Changed 14 years ago by yeled

here we go!

Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) err is 1
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) req.index is 18989
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) req.offset is 786432
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) req.length is 16384
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) tor->info.totalSize is 9480011170
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) tor->info.pieceCount is 4521
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) tr_torPieceCountBytes is 2097152
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: (ticket #751) tr_pieceOffset is 39823622144
Mar  6 10:39:11 capslock [0x0-0x149149].org.m0k.transmission[14769]: /Users/yeled/Documents/Transmission/libtransmission/peer-msgs.c:790: failed assertion `reqIsValid( msgs, index, offset, length )'
Mar  6 10:39:16 capslock ReportCrash[16478]: Formulating crash report for process Transmission[14769]
Mar  6 10:39:20 capslock ReportCrash[16478]: Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-06-103911_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20
Mar  6 10:39:17 capslock com.apple.launchd[83] ([0x0-0x149149].org.m0k.transmission[14769]): Exited abnormally: Abort trap

comment:9 Changed 14 years ago by charles

Could you make it crash again with r5204 or higher?

comment:10 follow-up: Changed 14 years ago by charles

If you do make it crash again, please attach both the console messages and the crashlog. thanks!

Fair warning: I'm not sure where this bug is coming from, so we may have to go through this dance again. :/

comment:11 in reply to: ↑ 10 Changed 14 years ago by yeled

Replying to charles:

06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) err is 1 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) req.index is 2097159 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) req.offset is 245760 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) req.length is 16384 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) tor->info.totalSize is 397650710 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) tor->info.pieceCount is 1517 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) tr_torPieceCountBytes is 262144 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] (ticket #751) tr_pieceOffset is 549757911040 
06/03/2008 13:40:50 [0x0-0x234234].org.m0k.transmission[17243] /Users/yeled/Documents/Transmission/libtransmission/peer-msgs.c:723: failed assertion `requestIsValid( msgs, &req )' 
06/03/2008 13:40:54 ReportCrash[17267] Formulating crash report for process Transmission[17243] 
06/03/2008 13:40:57 ReportCrash[17267] Saved crashreport to /Users/yeled/Library/Logs/CrashReporter/Transmission_2008-03-06-134050_capslock.crash using uid: 501 gid: 20, euid: 501 egid: 20 
06/03/2008 13:40:55 com.apple.launchd[83] ([0x0-0x234234].org.m0k.transmission[17243]) Exited abnormally: Abort trap 

this time without the dodgy drive so it's not that? i can now try and make it crash on another machine as well..

attached again.

comment:12 Changed 14 years ago by charles

  • Resolution set to invalid
  • Status changed from assigned to closed

09:23 * yeled runs memtest 09:24 <@charles_> yeled: this new crash report makes things more confusing, not less :) 09:24 <@charles_> memtest is a good idea 09:45 < yeled> found it 09:45 < yeled> one 1 gb stick is dead 09:50 < yeled> fixed my other bug too 09:52 < yeled> please close that bug charles_ :( 09:53 < yeled> im sorry to lead you around the garden path

comment:13 Changed 14 years ago by charles

09:23 * yeled runs memtest

09:24 <@charles_> yeled: this new crash report makes things more confusing, not less :)

09:24 <@charles_> memtest is a good idea

09:24 < yeled> yep :)

09:45 < yeled> found it

09:45 < yeled> one 1 gb stick is dead

09:52 < yeled> please close that bug charles_ :(

09:53 < yeled> im sorry to lead you around the garden path

comment:14 Changed 14 years ago by charles

  • Resolution invalid deleted
  • Status changed from closed to reopened

The bad memory on yeled's computer undoubtedly didn't help things, but after having that debug code in there for two weeks I finally got a hit:

(ticket #751) err is 3 (ticket #751) req.index is 175 (ticket #751) req.offset is 0 (ticket #751) req.length is 65536 (ticket #751) tor->info.totalSize is 1706123264 (ticket #751) tor->info.pieceCount is 1628 (ticket #751) tr_torPieceCountBytes is 1048576 (ticket #751) tr_pieceOffset is 183566336 (ticket #751) err is 3 (ticket #751) req.index is 175 (ticket #751) req.offset is 65536 (ticket #751) req.length is 65536 (ticket #751) tor->info.totalSize is 1706123264 (ticket #751) tor->info.pieceCount is 1628 (ticket #751) tr_torPieceCountBytes is 1048576 (ticket #751) tr_pieceOffset is 183631872

comment:15 Changed 14 years ago by charles

Easier to read:

(ticket #751) err is 3
(ticket #751) req.index is 175
(ticket #751) req.offset is 0
(ticket #751) req.length is 65536
(ticket #751) tor->info.totalSize is 1706123264
(ticket #751) tor->info.pieceCount is 1628
(ticket #751) tr_torPieceCountBytes is 1048576
(ticket #751) tr_pieceOffset is 183566336
(ticket #751) err is 3
(ticket #751) req.index is 175
(ticket #751) req.offset is 65536
(ticket #751) req.length is 65536
(ticket #751) tor->info.totalSize is 1706123264
(ticket #751) tor->info.pieceCount is 1628
(ticket #751) tr_torPieceCountBytes is 1048576
(ticket #751) tr_pieceOffset is 183631872

comment:16 Changed 14 years ago by charles

Two more came in overnight:

(ticket #751) err is 3
(ticket #751) req.index is 239
(ticket #751) req.offset is 0
(ticket #751) req.length is 65536
(ticket #751) tor->info.totalSize is 1706123264
(ticket #751) tor->info.pieceCount is 1628
(ticket #751) tr_torPieceCountBytes is 1048576
(ticket #751) tr_pieceOffset is 250675200
(ticket #751) err is 3
(ticket #751) req.index is 239
(ticket #751) req.offset is 65536
(ticket #751) req.length is 65536
(ticket #751) tor->info.totalSize is 1706123264
(ticket #751) tor->info.pieceCount is 1628
(ticket #751) tr_torPieceCountBytes is 1048576
(ticket #751) tr_pieceOffset is 250740736

comment:17 Changed 14 years ago by charles

  • Resolution set to invalid
  • Status changed from reopened to closed

False alarm -- those requests are coming from peers. :)

comment:18 Changed 14 years ago by KyleK

Is this still relevant? My log shows quite a lot of these messages. Can the debug code be removed?

comment:19 Changed 14 years ago by KyleK

  • Resolution invalid deleted
  • Status changed from closed to reopened

comment:20 Changed 14 years ago by charles

  • Resolution set to fixed
  • Status changed from reopened to closed

Good idea.

r5781

comment:21 Changed 14 years ago by add

http://www.salewroughtiron.cn installing metal stair rails Interior stair handrail installing metal stair rails Interior stair handrail exterior baluster Glass wood stainless wrought CONTEMPORARY designs stairways aluminum modern log banister DECK outdoor price posts vinyl curved rails http://www.china-made-door.com.cn door gate http://www.beijing-door.cn wrought CONTEMPORARY designs stairways installing metal stair rails Interior stair handrail exterior baluster Glass wood stainless wrought CONTEMPORARY designs stairways aluminum modern log banister DECK outdoor price posts vinyl curved rails http://www.hebei-railings.cn aluminum modern log banister DECK outdoor price installing metal stair rails Interior stair handrail exterior baluster Glass wood stainless wrought CONTEMPORARY designs stairways aluminum modern log banister DECK outdoor price posts vinyl curved rails posts vinyl curved rails

Note: See TracTickets for help on using tickets.